*,
*:before,
*:after{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root{
    --color-white: #fff;
    --primary-color: #2980b9;
    --primary-color-dark: #1e6390;

    --heading-color: #333;
    --gray-light: #757575;
    --gray-light-1: #999999;
}

body{
    font-family: "Poppins", sans-serif;
    font-size: 10px;
    background-color: #ebebeb;
}

a,
a:link{
    text-decoration: none;
}

.login__container{
    width: 60%;
    /* height: 70vh; */
    background-color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    box-shadow: 0 1rem 1.5rem -.5rem #00000020;
    border-radius: 1.3rem;
    overflow: hidden;
    z-index: 22;
}
.login__box{
    /* column-gap: 20px; */
    /* padding: 0 2rem; */
    width: 50%;
    padding: 3rem 2rem;

}
.login__header{
    text-align: center;
}
.login__header-logo{
    text-transform: uppercase;
}
.login__header-logo p{
    font-size: .8rem;
    font-weight: 700;
    color: var(--gray-light);
}
.login__header-logo h1{
    font-size: 1.6rem;
}
.login__header-text{
    margin: .9rem 0;
}
.login__header-text p{
    color: var(--gray-light-1);
    line-height: 1rem;
}

.login__form-container{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.login__form{
    width: 100%;
}
.login__form>*{
    margin-top: 1rem;
}
.login__input-group{
    display: flex;
    align-items: center;
    border-radius: 1.5rem;
}
.login__input-group:not(:last-child){
    border: 1px solid var(--gray-light);
}
.login__icon{
    padding: .8rem;
    font-size: 1rem;
    color: var(--gray-light-1);
}
.login__input{
    width: 100%;
    border: none;
    font-weight: 600;
    color: var(--primary-color);
}
.login__input:active,
.login__input:focus{
    outline: none;
    border: none;
}
/* .login__input:focus {
    color: var(--primary-color);
} */
.login__input::placeholder{
    font-weight: 700;
    text-transform: capitalize;
}
.login__button,
.login__button:link,
.login__button:active,
.login__button:visited{
    width: 100%;
    background-image: linear-gradient(to bottom right, var(--primary-color), var(--primary-color-dark));
    background-color: var(--primary-color);
    padding: 1rem;
    border-radius: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--color-white);
    font-size: .7rem;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-weight: 700;
    box-shadow: 0 1rem .8rem -.5rem #2980b990;
    transition: all .5s ease-in-out; 
}
.login__button:hover{
    background-image: linear-gradient(to bottom right, var(--primary-color-dark), var(--primary-color));
    transform: translateY(-3px);
}
.login__button:active{
    transform: translateY(0px);
}
.login__signup,
.login__social{
    padding: 1.3rem 0;
    text-align: center;
}
.login__signup{
    /* text-align: center; */
    font-size: .8rem;
    color: var(--gray-light);
}
.login__link{
    font-weight: 700;
    color: var(--primary-color);
    
}
.login__social p{
    margin-bottom: 1rem;
    font-size: .8rem;
    color: var(--gray-light-1);
}
.line{
    border-top: 1px solid var(--gray-light-1);
    position: relative;
}
.line::after{
    content: "OR";
    position: absolute;
    width: 2rem;
    height: 2rem;
    background-color: #757575;
    border-radius: 50%;
    top: 0;
    right: 0;
    z-index: 33;
}
.login__social-link{
    display: inline-block;
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    padding: 1rem;
    border: 1px solid var(--gray-light-1);
}
.login__social-link:hover{
    border: 1px solid var(--primary-color);
}
.login__social-link:hover i{
    color: var(--primary-color);
}
.login__social-link i{
    font-size: 1.2rem;
    color: var(--gray-light);
}

.login__image{
    width: 50%;
    background-image: linear-gradient(to bottom right, #6c808d, #1e639070), 
                      url('https://images.unsplash.com/photo-1480714378408-67cf0d13bc1b?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=500&q=60');
    background-size: cover;
    mix-blend-mode: multiply;
    padding: 3rem 2rem;
    transition: .5s ease;
}
@media only screen and (max-width: 950px){
    .login__image{
        visibility: hidden;
        display: none;
    }
    .login__box{
        width: 100%;
    }
}
.login__image-box{
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: var(--color-white);
    text-align: center;
}
.login__image-logo{
    font-size: 1.5rem;
    margin-bottom: 1rem;
}

.login__image-box p{
    line-height: 1.2rem;
    font-size: .8rem;
}

